//chatnet.java Summer 2003 - Winter 2004

import java.io.*;

public class chatnet
{
	static final int major = 0;
	static final int minor = 3;
	static final int stage = 9;

	public static void main(String[] args) throws IOException
	{
		System.out.println("I <chatnet> Loading v" +
			major + "." + minor + "." + stage);

		config  cfg = new config();
		cfg.readConfig("chatnet.conf");

		loggers lm  = new loggers(cfg);

		data    pd  = new data();
		ui      win = new ui(lm, pd);
		core    ml  = new core(lm, cfg, win, pd);
		zoneman zm  = new zoneman(lm, cfg, win, ml);
		
		ml.stage = ml.STAGE_PROFILE;
		zm.show();
		
		while(ml.stage != ml.STAGE_QUIT)
		{
			try
			{
				Thread.sleep( 1000 ); //1 second
			}
			catch(InterruptedException e)
			{
			}
			catch(Exception e)
			{
				e.printStackTrace();
			}
		}

		if (ml.bConnected)
			ml.disconnect();
		lm.Log("I", "Closing log file...");
		lm.close();

		System.exit(0);
	}
}
